org.eclipse.aether.internal.transport.wagon

## Class PlexusWagonConfigurator

- java.lang.Object
- - org.eclipse.aether.internal.transport.wagon.PlexusWagonConfigurator

- All Implemented Interfaces:
    WagonConfigurator

      @Component(role=WagonConfigurator.class,
                 hint="plexus")
      public class PlexusWagonConfigurator
      extends Object
      implements WagonConfigurator

  A wagon configurator based on the Plexus component configuration framework.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlexusWagonConfigurator()` Creates an uninitialized wagon configurator.
    `PlexusWagonConfigurator(org.codehaus.plexus.PlexusContainer container)` Creates a wagon configurator using the specified Plexus container.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(org.apache.maven.wagon.Wagon wagon, Object configuration)` Configures the specified wagon instance with the given configuration.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlexusWagonConfigurator

          public PlexusWagonConfigurator()

      Creates an uninitialized wagon configurator.
      Restriction:
        This constructor only supports the Plexus IoC container and should not be called directly by clients.

    - #### PlexusWagonConfigurator

          public PlexusWagonConfigurator(org.codehaus.plexus.PlexusContainer container)

      Creates a wagon configurator using the specified Plexus container.
      Parameters:
        `container` - The Plexus container instance to use, must not be `null`.

  - ### Method Detail

    - #### configure

          public void configure(org.apache.maven.wagon.Wagon wagon,
                       Object configuration)
                         throws Exception

      Description copied from interface: `WagonConfigurator`
      Configures the specified wagon instance with the given configuration.
      Specified by:
        `configure` in interface `WagonConfigurator`
      Parameters:
        `wagon` - The wagon instance to configure, must not be `null`.
        `configuration` - The configuration to apply to the wagon instance, must not be `null`.
      Throws:
        `Exception` - If the configuration could not be applied to the wagon.

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.